VARKON Version 1.15 1997-10-24

> ## getarc - Procedure

> Get arc from GM
> Description
> Reads arc data from GM. In the case of a 3D arc getarc also returns 1, 2, 3 or 4 arc segments.
> Syntax
> getarc(id, font, dl, p, r, start, end, nseg, segdata)

> REF | id;
> INT | font;
> FLOAT | dl;
> VECTOR | p;
> FLOAT | r;
> FLOAT | start;
> FLOAT | end;
> INT | nseg;
> FLOAT | segdata(4,4,4);

> Principal parameters

> id | - Global identity of an arc
> font | - 0 = Solid, 1 = Dashed, 2 = Centerline
> dl | - Dashlength if font = 1 or 2
> p | - Coordinates of arc center
> r | - Arc radius
> start | - Start angle
> end | - End angle
> nseg | - Number of segments. For a 2D arc ns = 0.
> segdata | - nseg 4 by 4 matrixes with polynomial segment coefficients

> Optional parameters

> None. |

> Comments
> Each segment is a rational cubic with 0 to 1 parametrisation and the coefficients ordered as follows:
> k0x k0y k0z k0w
> k1x k1y k1z k1w
> k2x k2y k2z k2w
> k3x k3y k3z k3w
> Se for example Faux and Pratt, "Computational Geometry for design and manufacture", page 144 for a further discussion on rational cubic parametric segments.

VARKON Homepage | Index